https://www.youtube.com/watch?v=bK6ldnjE3Y0

BOTTOM LINE:  China lost hundreds of thousands of citizens, 300K just in NANKING.  Philippines lost over a hundred thousand, my mother-in-law actually saw Philippine Babies thrown up in the air and bayoneted by the LUNATIC JAPS.  JAPAN was a mad country and needed to be stopped.  The BOMB stopped MURDER, RAPE, ATROCITIES and made the planet safer.  The JAPS, would have died to the last citizens, and the BOMB saved that civilization.  Estimates were 1 million US Soldiers and 6 million Japanese Citizens would have died if the war continued.  SO STOP, your ignorance against the BOMB.  EXCELLENT MOVIE and  learn your history on the FACTs of what really happened.